velox:
  security:
    oidc:
      enabled: true
      claim:
        grantedAuthority: "urn:zitadel:iam:org:project:roles"
      scopeAuthority.prefix: "SCOPE_urn:zitadel:iam:org:project:role:"

spring:
  profiles.active: default
  jackson:
    default-property-inclusion: non-null
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: https://issuer.zitadel.ch
        opaquetoken:
          introspection-uri: https://api.zitadel.ch/oauth/v2/introspect
          client-id: 166896299482934661@velox_local
          client-secret: must_be_overwritten_by_runtime_configuration

server:
  http2:
    enabled: true
  port: 8450
  servlet:
    contextPath: /price-orchestration/v1

price:
  url: http://localhost:8444/price/v1

springdoc:
  swagger-ui:
    path: /swagger-ui.html
  api-docs:
    path: /api-docs
    enabled: true

management:
  endpoints:
    web:
      exposure:
        include: "*"

logging:
  level:
    org.hobsoft.spring.resttemplatelogger.LoggingCustomizer: DEBUG
    org.springframework.web.client.RestTemplate: DEBUG